Bug 172424 - Reduce dependencies; split out 'gitk'
Reduce dependencies; split out 'gitk'
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: git-core (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Wright
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-04 04:38 EST by Enrico Scholz
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.1.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-11 12:51:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2005-11-04 04:38:03 EST
Description of problem:

Please move 'gitk' into an own subpackage. It is not needed for core
functionality but introduces a bunch of new dependencies (tk -> X11). On small
systems (e.g. web frontends for git repositories), these deps are usually not
installed and would introduce new and unneeded complexity.


Version-Release number of selected component (if applicable):

git-core-0.99.8f-1.fc4



How reproducible:

100%
Comment 1 Chris Wright 2005-11-04 15:52:56 EST
Agreed, it's on TODO list in fact.  I'll update this entry once it's done.
Comment 2 Chris Wright 2006-01-11 12:51:00 EST
Fixed in latest extras release (git-core-1.1.1 should reach mirrors today). 
Packages are now:  git-core, git-svn, git-cvs, git-arch, gitk

Note You need to log in before you can comment on or make changes to this bug.